#undef __NO_VERSION__
#include <linux/version.h>

#include <linux/string.h>
#include <linux/errno.h>
#ifdef MODULE
   #if defined(CONFIG_MODVERSIONS) && !defined(MODVERSIONS)
      #define MODVERSIONS
   #endif

   #ifdef MODVERSIONS
      #include <config/modversions.h>
   #endif

   #include <linux/module.h>
#endif

#include "nikal.h"

#ifdef MODULE_LICENSE
   #ifdef nNIKAL100_kCopyrightString
      MODULE_LICENSE(nNIKAL100_kCopyrightString);
   #endif
#endif

#ifdef MODULE_AUTHOR
   #ifdef nNIKAL100_kAuthorString
      MODULE_AUTHOR(nNIKAL100_kAuthorString);
   #endif
#endif

#ifdef MODULE_DESCRIPTION
   #ifdef nNIKAL100_kDescriptionString
      MODULE_DESCRIPTION(nNIKAL100_kDescriptionString);
   #endif
#endif


int nNIPAL100_ckalcbInitModule(void* modulePtr, const char* name);
void nNIPAL100_ckalcbCleanupModule(void* modulePtr);

int init_module(void)
{
   return nNIPAL100_ckalcbInitModule(THIS_MODULE,(THIS_MODULE)->name);
}

void cleanup_module(void)
{
   nNIPAL100_ckalcbCleanupModule(THIS_MODULE);
}


#define nNIKAL100_mExportSymbol EXPORT_SYMBOL
extern int _ZN11nNIRAPTR10017getCurrentVersionERi;
nNIKAL100_mExportSymbol(_ZN11nNIRAPTR10017getCurrentVersionERi);
extern int _ZN11nNIRAPTR10026getOldestCompatibleVersionERi;
nNIKAL100_mExportSymbol(_ZN11nNIRAPTR10026getOldestCompatibleVersionERi);
extern int _ZN11nNIRAPTR10014compareVersionERK10tSSVersionS2_RiPKc;
nNIKAL100_mExportSymbol(_ZN11nNIRAPTR10014compareVersionERK10tSSVersionS2_RiPKc);
